﻿.blog-section {
    padding: 60px 20px;

    color: #fff;
    direction: rtl;
}

.title {
    text-align: center;
    font-size: 32px;
    margin-bottom: 50px;
}

/* لیست */
.blog-list {
    max-width: 1000px;
    margin: auto;
}

/* آیتم */
.blog-item {
    display: flex;
    flex-direction: row-reverse; /* مهم برای RTL */
    gap: 20px;
    margin-bottom: 30px;
    background: var(--color-extra-three);
 /*   border-radius: 16px;*/
    overflow: hidden;
    transition: 0.3s;
    direction: ltr;
}

    .blog-item:hover {
        transform: translateY(-5px);
        box-shadow: 0 20px 50px rgba(0,0,0,0.5);
    }

/* تصویر */
.blog-img {
    width: 300px;
    height: 200px;
    overflow: hidden;
}

    .blog-img img {
        width: 100%;
        height: 100%;
        object-fit: fill;
        transition: 0.4s;
    }

.blog-item:hover img {
    transform: scale(1.1);
}

/* محتوا */
.blog-content {
    padding: 20px;
    flex: 1;
    direction: rtl;
}

    .blog-content h3 {
        margin-bottom: 10px;
        font-size: 20px;
        color: #101010;
    }

.desc {
    color: #101010;
    font-size: 14px;
    line-height: 1.8;
    margin-bottom: 15px;
}

/* لینک */
.read-more {
    text-decoration: none;
    color: #012b1d;
    font-size: 14px;
    transition: 0.3s;
}

    .read-more:hover {
        color: #012b1d;
    }
